<template>
  <div class="container">
    <h1>Crear barca!</h1>
    <custom-form
      :fields="fields"
      :handleSubmit="handleSubmit"
      :parseError="parseError"
    />
  </div>
</template>

<script>
import CustomForm from '@/components/Form'

export default {
  name: 'CrearBarcaView',
  components: { CustomForm },
  data() {
    return {
      fields: [
        { name: 'nombre', placeholder: 'Nombre', required: true, type: 'text' },
        {
          name: 'descripcion',
          placeholder: 'Descripción',
          required: true,
          type: 'textarea',
        },
        { type: 'submit', content: 'Crear barca' },
      ],
    }
  },
  methods: {
    handleSubmit(barcaData) {
      return this.$store
        .dispatch('crearBarca', barcaData)
        .then(barca => this.$router.push(`/barcas/${barca.id}`))
    },
    parseError: error => error, // probablemente no pase ningun error generico
  },
}
</script>
